Package org.apache.sysds.runtime.io

# Class FileFormatPropertiesCOG

java.lang.Object
org.apache.sysds.runtime.io.FileFormatProperties
org.apache.sysds.runtime.io.FileFormatPropertiesCOG

All Implemented Interfaces:
  `Serializable`

public class FileFormatPropertiesCOG extends FileFormatProperties implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FileFormatPropertiesCOG()`
`FileFormatPropertiesCOG(String datasetName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDatasetName()`
`String`
`toString()`

### Methods inherited from class org.apache.sysds.runtime.io.FileFormatProperties

`getBlocksize, getDescription, knownBlocksize, setDescription`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileFormatPropertiesCOG

public FileFormatPropertiesCOG()

### FileFormatPropertiesCOG

public FileFormatPropertiesCOG(String datasetName)

## Method Details

### getDatasetName

public String getDatasetName()

### toString

public String toString()

Overrides:
  `toString` in class `Object`